'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _addonActions = require('@storybook/addon-actions');

var _CheckBox = require('./CheckBox');

var _CheckBox2 = _interopRequireDefault(_CheckBox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react3.storiesOf)('CheckBox', module).add('Checked', function () {
    return _react2.default.createElement(_CheckBox2.default, { onChange: (0, _addonActions.action)('onChange'), checked: true, title: 'This is Title' });
}).add('Disabled', function () {
    return _react2.default.createElement(_CheckBox2.default, { title: 'title title', checked: true, disabled: true });
}).add('Uncontrolled CheckBox', function () {
    return _react2.default.createElement(_CheckBox2.default, null);
});