'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _assign = require('lodash/assign');

var _assign2 = _interopRequireDefault(_assign);

var _Calendar = require('./Calendar');

var _Calendar2 = _interopRequireDefault(_Calendar);

var _localizer = require('./localizer');

var _moment = require('./localizers/moment');

var _moment2 = _interopRequireDefault(_moment);

var _viewLabel = require('./utils/viewLabel');

var _viewLabel2 = _interopRequireDefault(_viewLabel);

var _move = require('./utils/move');

var _move2 = _interopRequireDefault(_move);

var _constants = require('./utils/constants');

var _dateUtils = require('../util/date-utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _assign2.default)(_Calendar2.default, {
    setLocalizer: _localizer.set,
    momentLocalizer: _moment2.default,
    label: _viewLabel2.default,
    views: _constants.views,
    move: _move2.default
});

_Calendar2.default.setLocalizer(_Calendar2.default.momentLocalizer((0, _dateUtils.getConfiguredMoment)()));

exports.default = _Calendar2.default;