'use strict';

var _index = require('@storybook/react/dist/client/preview/index');

var _Popup = require('./Popup');

var _Popup2 = _interopRequireDefault(_Popup);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _index.storiesOf)('Popup', module).add('should render content into body and toggle on click', function () {
    return _react2.default.createElement(
        _Popup2.default,
        { attachment: 'bottom right', on: 'click' },
        _react2.default.createElement(
            'button',
            null,
            'Show popup'
        ),
        _react2.default.createElement(
            'span',
            { className: 'open-test-content' },
            'Popup content'
        )
    );
}).add('should appear on hover', function () {
    return _react2.default.createElement(
        _Popup2.default,
        { attachment: 'bottom right' },
        _react2.default.createElement(
            'button',
            null,
            'Show popup'
        ),
        _react2.default.createElement(
            'span',
            null,
            'Popup content'
        )
    );
}).add('should disappear on click outside', function () {
    return _react2.default.createElement(
        _Popup2.default,
        { attachment: 'bottom right', on: 'click' },
        _react2.default.createElement(
            'button',
            null,
            'Show popup'
        ),
        _react2.default.createElement(
            'span',
            null,
            'Popup content'
        )
    );
}).add('should not disappear on click outside for modal popup', function () {
    return _react2.default.createElement(
        _Popup2.default,
        { attachment: 'middle center', on: 'click', modal: true },
        _react2.default.createElement(
            'button',
            null,
            'Show popup'
        ),
        _react2.default.createElement(
            'span',
            null,
            'Popup content'
        )
    );
});