'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PROPERTY_TYPES = {
    text: _propTypes2.default.string,
    avatarImgUrl: _propTypes2.default.string,
    testId: _propTypes2.default.any
};

var Avatar = function (_React$Component) {
    _inherits(Avatar, _React$Component);

    function Avatar() {
        _classCallCheck(this, Avatar);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    Avatar.prototype.render = function render() {
        return _react2.default.createElement(
            'div',
            { 'data-test-id': this.props.testId, className: 'avatar' },
            this.props.avatarImgUrl ? _react2.default.createElement('img', { className: 'avatar__img', src: this.props.avatarImgUrl }) : this.props.text
        );
    };

    return Avatar;
}(_react2.default.Component);

Avatar.propTypes = PROPERTY_TYPES;

exports.default = Avatar;