'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('./Button');

var _Button2 = _interopRequireDefault(_Button);

var _ButtonGroup = require('./ButtonGroup');

var _ButtonGroup2 = _interopRequireDefault(_ButtonGroup);

var _index = require('@storybook/react/dist/client/preview/index');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _index.storiesOf)('Button', module).add('default', function () {
    return _react2.default.createElement(
        _Button2.default,
        null,
        'Button'
    );
}).add('primary', function () {
    return _react2.default.createElement(
        _Button2.default,
        { className: 'btn--primary' },
        'Primary Button'
    );
}).add('as link', function () {
    return _react2.default.createElement(
        _Button2.default,
        { href: '#', as: 'a', className: (0, _classnames2.default)('btn-link', 'btn--inline') },
        'as link'
    );
}).add('Group', function () {
    return _react2.default.createElement(
        _ButtonGroup2.default,
        null,
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped' },
            'Button'
        ),
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped', selected: true },
            'Button'
        ),
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped' },
            'Button'
        ),
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped', disabled: true },
            'Button'
        ),
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped', disabled: true, selected: true },
            'Button'
        ),
        _react2.default.createElement(
            _Button2.default,
            { className: 'btn--grouped' },
            'Button'
        )
    );
});