"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* TODO: either use:
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   this.props.children.map(c => React.cloneElement(c, {className: classNames(child.props.className, 'btn--grouped')}))
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   OR
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   fix _button.scss:106 .btn--grouped {..} to .btn--grouped > .btn {..}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var ButtonGroup = function (_React$Component) {
    _inherits(ButtonGroup, _React$Component);

    function ButtonGroup() {
        _classCallCheck(this, ButtonGroup);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    ButtonGroup.prototype.render = function render() {
        return _react2.default.createElement(
            "div",
            { className: "btn--grouped" },
            this.props.children
        );
    };

    return ButtonGroup;
}(_react2.default.Component);

exports.default = ButtonGroup;