'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PROPERTY_TYPES = {
    placeholder: _propTypes2.default.string,
    type: _propTypes2.default.oneOf(['text', 'password']),
    testId: _propTypes2.default.any
};

var DEFAULT_PROPS = {
    type: 'text'
};

var Label = function (_React$Component) {
    _inherits(Label, _React$Component);

    function Label() {
        _classCallCheck(this, Label);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    Label.prototype.render = function render() {
        return _react2.default.createElement(
            'div',
            { 'data-test-id': this.props.testId, className: 'label' },
            'Default label'
        );
    };

    return Label;
}(_react2.default.Component);

Label.propTypes = PROPERTY_TYPES;
Label.defaultProps = DEFAULT_PROPS;

exports.default = Label;