'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _MultiSelect = require('./MultiSelect');

var _MultiSelect2 = _interopRequireDefault(_MultiSelect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getOption(id, displayString) {
    return {
        id: id,
        displayString: displayString
    };
}

var options = [getOption(1, 'Riga (UK)'), getOption(2, 'London (EST)'), getOption(3, 'Liveable  (LT)'), getOption(4, 'assigning  (LV)'), getOption(5, 'pro-active  (GBR)'), getOption(6, 'developments  (UK)'), getOption(7, 'South Asia (RUS)'), getOption(8, 'Australia (BK)'), getOption(9, 'Melbourne (VK)'), getOption(10, ' Vienna (BR)')];

(0, _react3.storiesOf)('MultiSelect', module).add('basic', function () {
    return _react2.default.createElement(_MultiSelect2.default, { options: options });
});

(0, _react3.storiesOf)('MultiSelect', module).add('custom', function () {
    return _react2.default.createElement(_MultiSelect2.default, { options: options, popupHeader: _react2.default.createElement(
            'h2',
            null,
            'CUSTOM Header'
        ), showSearch: false, showClear: false });
});