"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var GroupSubSection = function (_React$Component) {
    _inherits(GroupSubSection, _React$Component);

    function GroupSubSection() {
        var _temp, _this, _ret;

        _classCallCheck(this, GroupSubSection);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this._handleCallback = function (onSave, onBack) {
            _this._onSaveChild = onSave;
            _this._onBackChild = onBack;
        }, _this._onSave = function () {
            if (_this._onSaveChild) {
                _this._onSaveChild(_this.props.goBack);
            }
        }, _this._goBack = function () {
            if (_this._onBackChild) {
                _this._onBackChild(_this.props.goBack);
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    GroupSubSection.prototype.render = function render() {
        var _this2 = this;

        return _react2.default.createElement(
            "div",
            { className: "ros-group-subs" },
            _react2.default.createElement(
                "div",
                { className: "ros-group-subs__header-wrap" },
                _react2.default.createElement(
                    "div",
                    { className: "ros-group-subs__header" },
                    _react2.default.createElement(
                        "span",
                        { className: "ros-group-subs__control ros-group-subs__back", onClick: this._goBack },
                        "\u2190 Back\xA0"
                    ),
                    _react2.default.createElement(
                        "span",
                        { className: "ros-group-subs__control ros-group-subs__save", onClick: this._onSave },
                        "\xA0 Save"
                    )
                ),
                _react2.default.createElement("br", null)
            ),
            _react2.default.createElement(this.props.children, {
                methodCallback: this._handleCallback,
                ref: function ref(child) {
                    return _this2._child = child;
                }
            })
        );
    };

    return GroupSubSection;
}(_react2.default.Component);

exports.default = GroupSubSection;