'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _Switch = require('./Switch');

var _Switch2 = _interopRequireDefault(_Switch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react3.storiesOf)('Switch', module).add('Controlled', function () {
    return _react2.default.createElement(_Switch2.default, { onChange: function onChange(value) {
            return console.log(value);
        }, value: false, title: 'This is Title' });
}).add('Checked Not Controlled', function () {
    return _react2.default.createElement(_Switch2.default, { onChange: function onChange(value) {
            return console.log(value);
        }, checked: true, title: 'This is Title' });
}).add('Disabled', function () {
    return _react2.default.createElement(_Switch2.default, { title: 'title title', disabled: true });
}).add('Uncontrolled Switch', function () {
    return _react2.default.createElement(_Switch2.default, null);
}).add('All in one', function () {
    return _react2.default.createElement(
        'div',
        { style: { margin: '10px' } },
        _react2.default.createElement(_Switch2.default, { title: 'This is title' }),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(_Switch2.default, { title: 'This is title', value: true, 'true': true }),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(_Switch2.default, { title: 'This is title', disabled: true }),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(_Switch2.default, { title: 'This is title', value: true, disabled: true })
    );
});