'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.withIdAndTypeContext = withIdAndTypeContext;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function withIdAndTypeContext(ParentClass, parentType) {
    var Enhance = function (_ParentClass) {
        _inherits(Enhance, _ParentClass);

        _createClass(Enhance, null, [{
            key: 'displayName',
            get: function get() {
                return ParentClass.displayName || ParentClass.name;
            }
        }]);

        function Enhance() {
            _classCallCheck(this, Enhance);

            return _possibleConstructorReturn(this, _ParentClass.apply(this, arguments));
        }

        Enhance.prototype.getChildContext = function getChildContext() {
            var result = {};
            if (_ParentClass.prototype.getChildContext) {
                var _ParentClass$prototyp;

                result = (_ParentClass$prototyp = _ParentClass.prototype.getChildContext).call.apply(_ParentClass$prototyp, [this].concat(Array.prototype.slice.call(arguments)));
            }
            return _extends({}, result, {
                parentType: parentType || ParentClass.displayName || ParentClass.name,
                id: this.props.id || this.context.id,
                testId: this.props.testId || this.context.testId
            });
        };

        return Enhance;
    }(ParentClass);

    Enhance.propTypes = ParentClass.propTypes;
    Enhance.defaultProps = ParentClass.defaultProps;

    var parentChildContextTypes = ParentClass.childContextTypes;
    var parentContextTypes = ParentClass.contextTypes;

    Enhance.childContextTypes = _extends({}, parentChildContextTypes, {
        parentType: _propTypes2.default.string,
        id: _propTypes2.default.string,
        testId: _propTypes2.default.string
    });
    Enhance.contextTypes = _extends({}, parentContextTypes, {
        id: _propTypes2.default.string,
        testId: _propTypes2.default.string
    });
    return Enhance;
}